SGA Co Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/sga-co-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1764201600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/Bitplanet_KR/status/1993898094157516801",
    "holding_balance": 245.5,
    "holding_net_change": 17.0,
    "transaction_value_usd": 1639208.0,
    "average_entry_value_usd": 96424.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1764288000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/Bitplanet_KR/status/1994404708606148910",
    "holding_balance": 265.0,
    "holding_net_change": 19.5,
    "transaction_value_usd": 1862562.0,
    "average_entry_value_usd": 95516.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1772236800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://bit-planet.kr/press/25",
    "holding_balance": 300.0,
    "holding_net_change": 35.0,
    "transaction_value_usd": 2300000.0,
    "average_entry_value_usd": 65714.29,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    300.0
  ],
  [
    1787011200000,
    300.0
  ],
  [
    1787097600000,
    300.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    18847782.0
  ],
  [
    1787011200000,
    19348518.0
  ],
  [
    1787097600000,
    19407705.0
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 1613.0,
    "date": "2026-08-13",
    "high": 1741.0,
    "open": 1649.0,
    "close": 1666.0,
    "volume": 10613
  },
  {
    "low": 1603.0,
    "date": "2026-08-14",
    "high": 1754.0,
    "open": 1754.0,
    "close": 1728.0,
    "volume": 17654
  },
  {
    "low": 1628.0,
    "date": "2026-08-18",
    "high": 1759.0,
    "open": 1728.0,
    "close": 1628.0,
    "volume": 11776
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.12,
  "six_month_return": -66.57,
  "three_month_return": -31.6
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sga-co-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}